<?php
/**
 * Image extensions control in Signature
 * Image extensions control in Signature  2011 WbDev
 * http://wb-dev.net
 */

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function asimg_info()
{
	return array(
		"name"			=> "Image extensions control in Signature",
		"description"	=> "Image extensions control in Signature",
		"website"		=> "http://wb-dev.net",
		"author"		=> "WbDev",
		"authorsite"	=> "http://wb-dev.net",
		"version"		=> "1.0",
		"guid" 			=> "271d0ba5958945b010d6bb56cb856a57",
		"compatibility" => "16*"
	);
}

function asimg_activate() {
    global $db, $mybb, $lang;
    $asimg_group = array (
        'gid'           => 'NULL',
        'name'          => 'asimg_group',
        'title'         => 'Image extensions control in Signature',
        'description'   => 'Settings of Image extensions control in Signature',
        'disporder'     => "88",
        'isdefault'     => 'no',
    );
    $db->insert_query('settinggroups', $asimg_group);
    $gid = $db->insert_id();
	
	$asimg_setting = array(
		"sid"			 => "NULL",
		"name"			 => "asimg_onoff",
		"title"			 => "On/Off",
		"description"	 => "Select Yes if you want this plugin ON(running).",
		"optionscode"	 => "yesno",
		"value"			 => "no",
		"disporder"	   	 => 1,
		"gid"		 	 => intval($gid),
	);
	$db->insert_query('settings', $asimg_setting);

	$asimg_setting = array(
		"sid"			 => "NULL",
		"name"			 => "asimg_groups",
		"title"			 => "Groups",
		"description"	 => "Which group/s aren\'t allowed to use the extension/s?",
		"optionscode"	 => "text",
		"value"			 => "1,5,7",
		"disporder"	   	 => 2,
		"gid"		 	 => intval($gid),
	);
	$db->insert_query('settings', $asimg_setting);

	$asimg_setting = array(
		"sid"			 => "NULL",
		"name"			 => "asimg_extensions",
		"title"			 => "Extensions",
		"description"	 => "If you use multiple extensions use | to separate them. Example: .gif|.png",
		"optionscode"	 => "text",
		"value"			 => ".gif|.png",
		"disporder"	   	 => 3,
		"gid"		 	 => intval($gid),
	);
	$db->insert_query('settings', $asimg_setting);
    rebuild_settings();
}

function asimg_deactivate()
{
	global $db, $mybb;
	$db->delete_query("settinggroups", "name = 'asimg_group'");

	$db->delete_query('settings', 'name IN (\'asimg_group\',\'asimg_onoff\',\'asimg_groups\',\'asimg_extensions\')');
    rebuild_settings();
}

$plugins->add_hook("usercp_start", "asimg");
function asimg(){
	global $mybb, $error;
	$onoff = $mybb->settings['asimg_onoff'];
	$usrgroup = $mybb->user['usergroup'];
	$asimgextensions = $mybb->settings['asimg_extensions'];
	$asimggroups = explode(",",$mybb->settings['asimg_groups']);
	$asimgex = explode("|",$asimgextensions);
	$asimgin = implode(", ",$asimgex);
	if ($onoff == "0"){
		// Plugin is Off
	}
	else{
		if(in_array($usrgroup,$asimggroups) && $mybb->input['action'] == "do_editsig"){
			if (preg_match("/(".$asimgextensions.")/i", $mybb->input['signature'])) {
				$notallowed = "You are not allowed to use the following extension/s: " . $asimgin;
				$error = inline_error($notallowed);
			}
		}
	}
}
?>